# Add a feature dependency. POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/features/{child}/dependencies Content-Type: application/json Add a dependency to a parent feature. Each environment will resolve corresponding dependency independently. Reference: https://docs.getunleash.io/api/add-feature-dependency ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Add a feature dependency. version: endpoint_dependencies.addFeatureDependency paths: /api/admin/projects/{projectId}/features/{child}/dependencies: post: operationId: add-feature-dependency summary: Add a feature dependency. description: >- Add a dependency to a parent feature. Each environment will resolve corresponding dependency independently. tags: - - subpackage_dependencies parameters: - name: projectId in: path required: true schema: type: string - name: child in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: This response has no body. content: application/json: schema: $ref: >- #/components/schemas/Dependencies_addFeatureDependency_Response_200 '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} requestBody: description: createDependentFeatureSchema content: application/json: schema: $ref: '#/components/schemas/createDependentFeatureSchema' components: schemas: createDependentFeatureSchema: type: object properties: feature: type: string description: The name of the feature we depend on. enabled: type: boolean description: >- Whether the parent feature should be enabled. When `false` variants are ignored. `true` by default. variants: type: array items: type: string description: >- The list of variants the parent feature should resolve to. Leave empty when you only want to check the `enabled` status. required: - feature Dependencies_addFeatureDependency_Response_200: type: object properties: {} ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies" payload = { "feature": "parent_feature" } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"feature":"parent_feature"}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies" payload := strings.NewReader("{\n \"feature\": \"parent_feature\"\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"feature\": \"parent_feature\"\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"feature\": \"parent_feature\"\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies', [ 'body' => '{ "feature": "parent_feature" }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"feature\": \"parent_feature\"\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["feature": "parent_feature"] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/features/child/dependencies")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```